org.modeshape.jcr

## Class JcrSession.SystemSessionCache

- java.lang.Object
- - org.modeshape.jcr.cache.SessionCacheWrapper
  - - org.modeshape.jcr.JcrSession.SystemSessionCache

- All Implemented Interfaces:
    CachedNodeSupplier, NodeCache, SessionCache
  Enclosing class:
    JcrSession

      protected class JcrSession.SystemSessionCache
      extends SessionCacheWrapper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.modeshape.jcr.cache.SessionCache

      `SessionCache.PreSave, SessionCache.SaveContext`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrSession.SystemSessionCache(SessionCache delegate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `save()` Saves all changes made within this session.
    `void` | `save(SessionCache otherSession, SessionCache.PreSave preSaveOperation)` Saves all changes made within this session and the supplied session, using a single transaction for both.
    `void` | `save(Set<NodeKey> toBeSaved, SessionCache otherSession, SessionCache.PreSave preSaveOperation)` Saves all of this session's changes that were made at or below the specified path.

    - ### Methods inherited from class org.modeshape.jcr.cache.SessionCacheWrapper

      `addContextData, checkForTransaction, clear, clear, createNodeKey, createNodeKey, createNodeKeyWithIdentifier, createNodeKeyWithSource, destroy, getAllNodeKeys, getAllNodeKeysAtAndBelow, getChangedNodeKeys, getChangedNodeKeysAtOrBelow, getContext, getNode, getNode, getNodeKeysAtAndBelow, getRootKey, getWorkspace, hasChanges, isDestroyed, isReadOnly, mutable, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcrSession.SystemSessionCache

          protected JcrSession.SystemSessionCache(SessionCache delegate)

  - ### Method Detail

    - #### save

          public void save()

      Description copied from interface: `SessionCache`
      Saves all changes made within this session.
      Specified by:
        `save` in interface `SessionCache`
      Overrides:
        `save` in class `SessionCacheWrapper`

    - #### save

          public void save(SessionCache otherSession,
                  SessionCache.PreSave preSaveOperation)

      Description copied from interface: `SessionCache`
      Saves all changes made within this session and the supplied session, using a single transaction for both.
      Specified by:
        `save` in interface `SessionCache`
      Overrides:
        `save` in class `SessionCacheWrapper`
      Parameters:
        `otherSession` - another session whose changes should be saved with this session's changes; may not be null
        `preSaveOperation` - the set of operations to run against the new and changed nodes prior to saving; may be null

    - #### save

          public void save(Set<NodeKey> toBeSaved,
                  SessionCache otherSession,
                  SessionCache.PreSave preSaveOperation)

      Description copied from interface: `SessionCache`
      Saves all of this session's changes that were made at or below the specified path. Note that this is not terribly efficient, but is done to implement the deprecated `Item.save()`.
      Specified by:
        `save` in interface `SessionCache`
      Overrides:
        `save` in class `SessionCacheWrapper`
      Parameters:
        `toBeSaved` - the set of keys identifying the nodes whose changes should be saved; may not be null
        `otherSession` - another session whose changes should be saved with this session's changes; may not be null
        `preSaveOperation` - the set of operations to run against the new and changed nodes prior to saving; may be null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.